Subject: Re: [PATCH v8 0/6] set-head/fetch remote/HEAD updates, small change from v7

From: "Bence Ferdinandy" <[email-masked]>
Date: Wed, 16 Oct 2024 10:18:44 +0200

On Wed Oct 16, 2024 at 02:26, Taylor Blau <[email-masked]> wrote:
> On Tue, Oct 15, 2024 at 12:53:09AM +0200, Bence Ferdinandy wrote:
>> Bence Ferdinandy (6):
>>   refs: atomically record overwritten ref in update_symref
>>   remote set-head: add new variable for readability
>>   remote set-head: better output for --auto
>>   refs: add TRANSACTION_CREATE_EXISTS error
>>   refs: add create_only option to refs_update_symref
>>   fetch: set remote/HEAD if it does not exist
>
> I integrated this new round into my copy of 'seen' today and noticed
> some test breakage in t5505 here:
>
>     https://github.com/ttaylorr/git/actions/runs/11356267070
>
> I'm going to temporarily eject this topic out of 'seen' until we can get
> an analysis of what's going on here.

Thanks for the heads up! I see that indeed the failing output is different than
what I have locally (e.g. no "apis/HEAD -> apis/main" in any of the test files
I have). On the other hand I can't reproduce it so I will need some help with
this I think.

I tested with both a rebase on master and a rebase on your seen branch. I'm
using these to commands in t/ to run tests:

prove --timer --jobs 15 ./t[0-9]*.sh
GIT_TEST_DEFAULT_REF_FORMAT=reftable prove --timer --jobs 15 ./t[0-9]*.sh

Everything passes. Should I be running this differently? I'm assuming the test
do not use any global or local git config I may have?

I'm testing on Ubuntu 22.04 natively and in WSL, but the nature of the error
doesn't seem like it could or should be related to the OS.

Thanks,
Bence